<%@ page contentType="text/html; charset=utf-8" %>
<%@ page language="java" %>
<% try { // START: DEBUG %>
<%@ page errorPage="/errorPage.jsp" %>

<%@ page import="com.sas.apps.citation.model.user.SessionScopeManager" %> 
<%@ page import="com.sas.apps.citation.util.CommonUtils" %> 
<%@ page import="com.sas.apps.citation.view.util.PageErrorProcessor" %> 
<%@ page import="com.sas.apps.citation.view.beans.PagePropertyBean" %>
<%@ page import="com.sas.apps.citation.controller.action.report.ReportControllerAction" %> 
<%@ page import="com.sas.apps.citation.view.tbeans.html.CitationButton" %> 
<%@ page import="com.sas.apps.citation.view.util.ThemeUtils" %>
<%@ page import="com.sas.apps.citation.view.util.ViewElementRenderFailure" %>
<%@ page import="com.sas.apps.citation.util.PropertyHelper" %>

<html:xhtml />

<%
    response.setHeader("Cache-Control", "no-cache");
    SessionScopeManager smgr = SessionScopeManager.getSessionScopeManager(request);
    String failedElementId = (String) request.getAttribute(ReportControllerAction.DRAW_ELEMENT_ID_PARM);
    String missingCredential = (String) request.getAttribute(ReportControllerAction.MISSING_CREDENTIAL);
    String maxTupleExceeded = (String) request.getAttribute(ReportControllerAction.MAX_TUPLES_EXCEEDED);
    String olapExecutionError = (String) request.getAttribute(ReportControllerAction.OLAP_EXECUTION_ERROR);
    String detailsDivId = "citation_elementRenderDetails_" + failedElementId;
    String messageBoxDivId = "citation_elementRenderFailure_" + failedElementId;
    String showDetailsTextId = "citation_showDetails_" + failedElementId;
    String hideDetailsTextId = "citation_hideDetails_" + failedElementId;
    boolean isSuppressErrorDetails = PropertyHelper.getPropertyAsBool("wrs.suppressErrorDetails", false);       // S0899833
    
    String mainErrorText = PagePropertyBean.getLabel(pageContext, "error.render.view.element.txt");
    if (missingCredential != null)
       mainErrorText = PagePropertyBean.getLabel(pageContext, "error.render.view.element.missing.credential.txt");
    else if (maxTupleExceeded != null)
       mainErrorText = PagePropertyBean.getLabel(pageContext, "error.render.view.element.max.tuple.exceeded.txt");
    
    String summary = null;
    String details = null;
    
    ViewElementRenderFailure viewElementRenderFailureInfo = (ViewElementRenderFailure)request.getAttribute(failedElementId);
    if (viewElementRenderFailureInfo != null)
    {
       summary = viewElementRenderFailureInfo.getErrorSummary();
       details = viewElementRenderFailureInfo.getErrorDetails();
    
    }
    
    if (olapExecutionError != null)
    {
        mainErrorText = viewElementRenderFailureInfo.getMainText();
    }       
   
%>
     
<div id="<%=messageBoxDivId%>" style="display:block;">
  <table border="0" cellpadding="3" cellspacing="0" width="100%">
    <tr>
      <td class="linePadding">&nbsp;</td>
    </tr>
    <tr>
      <td>
     <table class="wrs_errorMessageBox" cellspacing="0" cellpadding="5">
        <tr class="wrs_errorMessageBoxTitle">
           <td class="wrs_errorMessageBoxTitle" align="left" colspan="2">
              <table border="0" cellpadding="0" cellspacing="0" align="left">
                <tr>
                   <td class="buttonSpacer">&nbsp;</td>     
                   <td align="left"><img border="0" src="<%=ThemeUtils.getImageSourceURL(request, "Msg_Error")%>" width="16" height="16"></td>
                   <td class="buttonSpacer">&nbsp;</td>     
                   <td align="left" class="wrs_errorMessageBoxTitle" nowrap="nowrap">
                      <%=PagePropertyBean.getLabel(pageContext, "error.render.view.element.title.txt")%>
                   </td>
                </tr>
              </table>  
           </td>       
           <td align="right" class="wrs_errorMessageBoxTitle">
             <span style="vertical-align: middle;">
              <a href="javascript:void(0)" onclick="wrsCloseMessageBox('<%=failedElementId%>'); return false;">
                    <img border="0" src="<%=ThemeUtils.getImageSourceURL(request, "wrs_Close_X")%>" width="16" height="16" alt="<%=PagePropertyBean.getLabel(pageContext, "close.button.v2.txt")%>">
                  </a>
                 </span>
               </td>
      </tr>
          <tr>
            <td class="buttonSpacer">&nbsp;</td>
            <td align="left" class="wrs_errorMessageBoxInfo">
                          <%=mainErrorText%>
            </td>
            <td class="buttonSpacer">&nbsp;</td>
          </tr>
          <tr>
             <td clospan="3" class="linePadding">&nbsp;</td>
          </tr>
          
<%          
           if (missingCredential != null)
           {
%>


          <tr>
             <td clospan="3" class="linePadding">&nbsp;</td>
          </tr>
          <tr>
             <td clospan="3" class="linePadding">&nbsp;</td>
          </tr>
             <tr>
               <td class="buttonSpacer">&nbsp;</td>
               <td align="center">
<%
               CitationButton managePasswordsButton = CitationButton.createStandaloneButton(request, "managePasswordsButton",
               PagePropertyBean.getLabelWithMnemonic(pageContext,"menubar.file.manage.passwords.txt"),
               "javascript:cwMenuBarManagePasswords();");
                    
           managePasswordsButton.write(out);   
%>
               </td>
               <td class="buttonSpacer">&nbsp;</td>
             </tr>
             <tr>
                <td clospan="3" class="linePadding">&nbsp;</td>
             </tr>
          <tr>
             <td clospan="3" class="linePadding">&nbsp;</td>
          </tr>
<%          
           }
%>
          
          
          
          <tr>
            <td class="buttonSpacer">&nbsp;</td>
            <td align="left" class="wrs_errorMessageBoxInfo">

              <table border="0" cellpadding="0" cellspacing="0" align="left">
                <tr>
                   <%
                     if (!isSuppressErrorDetails &&
                             (!CommonUtils.isEmptyOrWhiteSpace(summary) || ! CommonUtils.isEmptyOrWhiteSpace(details))) {
                   %>
                   <td align="left">
                     <a href="javascript:void(0)" class="nolink" onclick="wrsToggleDetailsDiv('<%=failedElementId%>'); return false;">
                  <span id="<%=showDetailsTextId%>" class="nolink" style="display:block;">
                     <%=PagePropertyBean.getLabel(pageContext, "error.render.view.element.showdetails.txt")%>
                  </span>
                  <span id="<%=hideDetailsTextId%>" class="nolink" style="display:none;">
                     <%=PagePropertyBean.getLabel(pageContext, "error.render.view.element.hidedetails.txt")%>
                  </span>
                         </a>
                   </td>
                   <td class="buttonSpacer">&nbsp;</td>     
                   <td class="buttonSpacer">&nbsp;</td>     
                   <td class="buttonSpacer">&nbsp;</td>     
                  <% } %>
                   <td align="left" >
                      <a href="javascript:void(0)" class="nolink" onclick="wrsCloseMessageBox('<%=failedElementId%>'); return false;">
                     <span class="nolink"><%=PagePropertyBean.getLabel(pageContext, "close.button.v2.txt")%></span>
                  </a>
                   </td>
                </tr>
              </table>  
            </td>
            <td class="buttonSpacer">&nbsp;</td>
          </tr>
          <tr>
            <td class="buttonSpacer">&nbsp;</td>
            <td colspan="2">
              <div id="<%=detailsDivId%>" style="display:none;">
                <table border="0" align="left" cellspacing="0" cellpadding="0" summary="">
                   <%
                     if (! CommonUtils.isEmptyOrWhiteSpace(summary)) {
                   %>
                
                      <tr>
                         <td class="linePadding">&nbsp;</td>
                      </tr>
                      <tr>
                         <td class="linePadding">&nbsp;</td>
                      </tr>
                      <tr>
                        <td align="left"><%=summary %></td>
                     </tr>
                  <% } %>
                
                  <%
                    if (! CommonUtils.isEmptyOrWhiteSpace(details)) {
                  %>
                
                     <tr>
                       <td class="label" align="left"><%=details %></td>
                     </tr>
                 <% } %>
                
                </table>
              </div>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</div>


<%   
} catch (Exception ex) {
    PageErrorProcessor.setJspError(ex, pageContext, out);
} // END: DEBUG 
%>
